import { IncomingMessage, ServerResponse } from "node:http";
import { file_allowed, file_exists, file_get, File } from "./FileHandler";

export function new_request(req: IncomingMessage, res: ServerResponse): void {
    if(file_allowed(req.url)) {
        if(file_exists(req.url)) {
            res.statusCode = 200;
            let f: File = file_get(req.url)
            res.setHeader('Content-Type', f.type);
            res.end(f.content);
        } else {
            res.statusCode = 404;
        }
    } else {
        res.statusCode = 403;
    }
    console.log(req.url, res.statusCode);
    res.end();
}
